org.jclouds.elb.options
Class ListPoliciesOptions

java.lang.Object
  extended by org.jclouds.http.options.BaseHttpRequestOptions
      extended by org.jclouds.elb.options.ListPoliciesOptions
All Implemented Interfaces:
Cloneable, HttpRequestOptions

public class ListPoliciesOptions
extends BaseHttpRequestOptions
implements Cloneable

Options used to list available policies.

Author:
Adrian Cole
See Also:
docs

Nested Class Summary
static class ListPoliciesOptions.Builder
           
 
Field Summary
 
Fields inherited from class org.jclouds.http.options.BaseHttpRequestOptions
formParameters, headers, matrixParameters, pathSuffix, payload, queryParameters
 
Constructor Summary
ListPoliciesOptions()
           
 
Method Summary
 com.google.common.collect.Multimap<String,String> buildFormParameters()
          Builds form parameters representing options.
 ListPoliciesOptions clone()
           
 boolean equals(Object obj)
          
 String getLoadBalancerName()
          The mnemonic name associated with the LoadBalancer.
 Set<String> getNames()
          The names of LoadBalancer policies you've created or Elastic Load Balancing sample policy names.
 int hashCode()
          
 ListPoliciesOptions loadBalancerName(String loadBalancerName)
           
 ListPoliciesOptions name(String name)
           
 ListPoliciesOptions names(Set<String> names)
           
 String toString()
          
 
Methods inherited from class org.jclouds.http.options.BaseHttpRequestOptions
buildMatrixParameters, buildPathSuffix, buildQueryParameters, buildRequestHeaders, buildStringPayload, getFirstFormOrNull, getFirstHeaderOrNull, getFirstMatrixOrNull, getFirstQueryOrNull, replaceHeader
 
Methods inherited from class java.lang.Object
finalize, getClass, notify, notifyAll, wait, wait, wait
 

Constructor Detail

ListPoliciesOptions

public ListPoliciesOptions()
Method Detail

loadBalancerName

public ListPoliciesOptions loadBalancerName(String loadBalancerName)
See Also:
getLoadBalancerName()

names

public ListPoliciesOptions names(Set<String> names)
See Also:
getNames()

name

public ListPoliciesOptions name(String name)
See Also:
getNames()

getLoadBalancerName

public String getLoadBalancerName()
The mnemonic name associated with the LoadBalancer. If no name is specified, the operation returns the attributes of either all the sample policies pre-defined by Elastic Load Balancing or the specified sample polices.


getNames

public Set<String> getNames()
The names of LoadBalancer policies you've created or Elastic Load Balancing sample policy names.


buildFormParameters

public com.google.common.collect.Multimap<String,String> buildFormParameters()
Description copied from interface: HttpRequestOptions
Builds form parameters representing options.

Specified by:
buildFormParameters in interface HttpRequestOptions
Overrides:
buildFormParameters in class BaseHttpRequestOptions
Returns:
map that may contain query parameters.

hashCode

public int hashCode()

Overrides:
hashCode in class BaseHttpRequestOptions

clone

public ListPoliciesOptions clone()
Overrides:
clone in class Object

equals

public boolean equals(Object obj)

Overrides:
equals in class BaseHttpRequestOptions

toString

public String toString()

Overrides:
toString in class BaseHttpRequestOptions


Copyright © 2009-2012 jclouds. All Rights Reserved.